Create Document Raw

Ingest a document as raw text. On ingest, the document goes through a series of steps before it is ready for retrieval. Each step is reflected in the status of the document which can be one of [pending, partitioning, partitioned, refined, chunked, indexed, summary_indexed, keyword_indexed, ready, failed]. The document is available for retrieval once it is in ready state. The summary index step can take a few seconds. You can optionally use the document for retrieval once it is in indexed state. However the summary will only be available once the state has changed to summary_indexed or ready.

Body Params
string

An optional name for the document. If set, the document will have this name. Otherwise it will default to the current timestamp.

metadata
object

Metadata for the document. Keys must be strings. Values may be strings, numbers, booleans, or lists of strings. Numbers may be integers or floating point and will be converted to 64 bit floating point. 1000 total values are allowed. Each item in an array counts towards the total. The following keys are reserved for internal use: document_id, document_type, document_source, document_name, document_uploaded_at, start_time, end_time, chunk_content_type.

An optional identifier for the document. A common value might be an id in an external system or the URL where the source file may be found.

string

An optional partition identifier. Documents can be scoped to a partition. Partitions must be lowercase alphanumeric and may only include the special characters _ and -. A partition is created any time a document is created.

required

Document data in a text or JSON format.

Responses

Language
Credentials
Bearer
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json